# Trait yii\apidoc\templates\bootstrap\RendererTrait

Implemented by | yii\apidoc\templates\bootstrap\ApiRenderer, yii\apidoc\templates\bootstrap\GuideRenderer
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/templates/bootstrap/RendererTrait.php

Common methods for renderers

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$extensions | array | Official Yii extensions | yii\apidoc\templates\bootstrap\RendererTrait

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getNavTypes() | Returns nav TypeDocs | yii\apidoc\templates\bootstrap\RendererTrait

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
filterTypes() | Returns types of a given class | yii\apidoc\templates\bootstrap\RendererTrait
getTypeCategory() | Returns category of TypeDoc | yii\apidoc\templates\bootstrap\RendererTrait

## Property Details

$extensions public property

Official Yii extensions

public array $extensions = ['apidoc', 'authclient', 'bootstrap', 'codeception', 'composer', 'debug', 'elasticsearch', 'faker', 'gii', 'httpclient', 'imagine', 'jui', 'mongodb', 'redis', 'shell', 'smarty', 'sphinx', 'swiftmailer', 'twig']

## Method Details

filterTypes() protected method

Returns types of a given class

protected array filterTypes ( $types, $navClasses )
$types | yii\apidoc\models\TypeDoc[] |
$navClasses | string |

Returns nav TypeDocs

public array getNavTypes ( $type, $types )
$type | yii\apidoc\models\TypeDoc | Typedoc to take category from
$types | yii\apidoc\models\TypeDoc[] | TypeDocs to filter

getTypeCategory() protected method

Returns category of TypeDoc

protected string getTypeCategory ( $type )
$type | yii\apidoc\models\TypeDoc |